diff --git a/agent/bin/datasid-check.sh b/agent/bin/datasid-check.sh
index fe17ad811693278f8eb6cf7007c4d185994e13fa..5cdda1b53f65108927b17677dd06edcc637e0e79 100755
--- a/agent/bin/datasid-check.sh
+++ b/agent/bin/datasid-check.sh
@@ -62,7 +62,7 @@ if ! test -f ".md5sum"; then
     restore_backup
 fi
 
-if ! md5sum --quiet --check ".md5sum"; then
+if ! md5sum --check ".md5sum" > /dev/null 2>&1 ; then
     date +"%F %T - WARNING: Corrupted files detected. Restoring backup."
     restore_backup
 fi
diff --git a/agent/bootstrap/update b/agent/bootstrap/update
index e38e66f3f48a6a744dab39642cb0fed849ada0b8..01eaef25e3a42c5ed7c41129a0a4a2f18bcd4469 100644
--- a/agent/bootstrap/update
+++ b/agent/bootstrap/update
@@ -77,7 +77,7 @@ fi
 rm -f "${PKG_FILE}"
 
 # Check if the new files are OK
-if ! md5sum --quiet --check .md5sum; then
+if ! md5sum --check .md5sum > /dev/null 2>&1 ; then
     printf "WARNING: Arquivos extraidos corrompidos, restaurando backup...\n"
 
     # Check if backup exists